package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussDeviceMerchantBuyDetail;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussDeviceMerchantBuyDetailMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussDeviceMerchantBuyDetail record);

    int insertSelective(TbPlussDeviceMerchantBuyDetail record);

    TbPlussDeviceMerchantBuyDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussDeviceMerchantBuyDetail record);

    int updateByPrimaryKey(TbPlussDeviceMerchantBuyDetail record);
}